#ifndef _PreprocessorFactory_H__
#define _PreprocessorFactory_H__

#include <string>
using namespace std;

namespace GtpVisibilityPreprocessor {


class Preprocessor;

/** Factory for creating preprocessors
*/
class PreprocessorFactory
{
public:
	/** Returns the preprocessor with the given name or NULL if such a preprocessor
		does not exist.
	*/
	static Preprocessor *CreatePreprocessor(const string &preprocessorName);

protected:
	/** Hidden constructor. Class cannot be instantiated.
	*/
	PreprocessorFactory();
  
};

}

#endif
